BizKitHub
DocsAPI ReferenceEmailer/bff/emailer/template-validate
postEmailerAdmin BFF

/bff/emailer/template-validate

Statically analyses an email template and returns a list of structural errors and unknown-variable warnings.

EmailerpostBffEmailerTemplate-validate

Parameters

JSON body

Request body

application/json
templatestringRequired

Template content (HTML or plain text) to validate.

templateCodestringRequired

Template type code used to resolve the list of allowed variables.

Exampleorder-status-notification

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/emailer/template-validate

post
curl -X POST "https://api.bizkithub.com/bff/emailer/template-validate" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "template": "example_template",
  "templateCode": "order-status-notification"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key